summaryrefslogtreecommitdiffstats
path: root/development/eclipse-platform/eclipse-platform.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/eclipse-platform/eclipse-platform.SlackBuild')
-rw-r--r--development/eclipse-platform/eclipse-platform.SlackBuild20
1 files changed, 15 insertions, 5 deletions
diff --git a/development/eclipse-platform/eclipse-platform.SlackBuild b/development/eclipse-platform/eclipse-platform.SlackBuild
index 9f3d4f6d35..cfcad3541f 100644
--- a/development/eclipse-platform/eclipse-platform.SlackBuild
+++ b/development/eclipse-platform/eclipse-platform.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for eclipse-platform
@@ -22,10 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=eclipse-platform
-VERSION=${VERSION:-4.18}
+VERSION=${VERSION:-4.19}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
@@ -40,14 +43,21 @@ if [ "$ARCH" != "x86_64" ]; then
exit 1
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
SRCNAM=eclipse
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -81,4 +91,4 @@ mkdir -p install
cat $CWD/slack-desc > install/slack-desc
cat $CWD/doinst.sh > install/doinst.sh
-/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE